コンテンツへスキップ

Image2svg

統合

モデルID image2svg
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image2svg?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.005 5 APIクレジット このページで実行

APIキーを取得
Utility 画像編集 #utility#editing

ラスター画像をカラーまたはバイナリモードのSVGにベクター化し、スプラインまたはポリゴンパスに変換

Utility · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

SVG変換元の画像。

詳細設定 colormode · hierarchical · mode · filter_speckle · color_precision · layer_difference · corner_threshold · length_threshold · max_iterations · splice_threshold · path_precision
colormode デフォルト color

出力モードの選択。カラーはカラー出力、binaryは白黒出力です。

hierarchical デフォルト stacked

階層モードの選択。stackedまたはcutoutです。

mode デフォルト spline

パスモード。曲線にはspline、直線にはpolygonを使用します。

デフォルト 4

ノイズと小さな斑点のフィルタリング。

デフォルト 6

色量子化に使用するレベル。

デフォルト 16

階層モードでレイヤー間の差分に適用するしきい値。

デフォルト 60

角の検出に使用する角度のしきい値(度)。

デフォルト 4

曲線または線の長さに適用するしきい値。

デフォルト 10

最適化反復回数の上限。

デフォルト 45

パスを結合する際に使用するしきい値。

デフォルト 3

パス座標の小数点以下の精度。

POST /run/image2svg?wait=20 見積もり → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image2svg?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Image2svgについて

ラスター画像をSVGファイルに変換します。`colormode`でカラー出力とバイナリ出力を切り替え、`mode`でスプライン曲線またはポリゴンを選択し、`hierarchical`で積層または切り抜きのレイヤー構成を選びます。`filter_speckle`(0~20)、`color_precision`(1~10)、`path_precision`(1~10)などの設定で詳細度を調整します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
SVG変換元の画像。
colormode任意
型enum
デフォルトcolor
colorbinary
出力モードの選択。カラーはカラー出力、binaryは白黒出力です。
hierarchical任意
型enum
デフォルトstacked
stackedcutout
階層モードの選択。stackedまたはcutoutです。
mode任意
型enum
デフォルトspline
splinepolygon
パスモード。曲線にはspline、直線にはpolygonを使用します。
filter_speckle任意
型integer
デフォルト4
0 – 20
ノイズと小さな斑点のフィルタリング。
color_precision任意
型integer
デフォルト6
1 – 10
色量子化に使用するレベル。
layer_difference任意
型integer
デフォルト16
1 – 32
階層モードでレイヤー間の差分に適用するしきい値。
corner_threshold任意
型integer
デフォルト60
0 – 180
角の検出に使用する角度のしきい値(度)。
length_threshold任意
型number
デフォルト4
0 – 10
曲線または線の長さに適用するしきい値。
max_iterations任意
型integer
デフォルト10
1 – 20
最適化反復回数の上限。
splice_threshold任意
型integer
デフォルト45
0 – 90
パスを結合する際に使用するしきい値。
path_precision任意
型integer
デフォルト3
1 – 10
パス座標の小数点以下の精度。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image2svg",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size}変換で生成されたSVGファイル。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/image2svg.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt